curs_delch(3X)

NAME
delch, wdelch, mvdelch, mvwdelch - delete a character from a curses window

SYNOPSIS
#include <ncurses/curses.h>

int delch(void);
int wdelch(WINDOW * win);
int mvdelch(int y, int x);
int mvwdelch(WINDOW * win, int y, int x);

DESCRIPTION
wdelch deletes the character at the cursor position in win. It moves all characters to the right of the cursor on the same line to the left one position and replaces the contents of the rightmost position on the line with the window's background character; see bkgd(3X) (wide-character API users: bkgrnd(3X)). The cursor position does not change (after moving to (y, x), if specified). ncurses(3X) describes the variants of this function.

RETURN VALUE
These functions return OK on success and ERR on failure.

In ncurses, these functions fail if the curses screen has not been initialized, or (for functions taking a WINDOW pointer argument) win is a null pointer.

Functions prefixed with “mv” first perform cursor movement and fail if the position (y, x) is outside the window boundaries.

NOTES
delch, mvdelch, and mvwdelch may be implemented as macros.

A terminal's delete_character (dch1) capability is not necessarily employed.

PORTABILITY
X/Open Curses Issue 4 describes these functions. It specifies no error conditions for them.

SVr4 describes a successful return value only as “an integer value other than ERR”.

HISTORY
SVr2 (1984) introduced wdelch.

SEE ALSO
curses(3X)